org.eclipse.mat.ui.internal.chart

## Class ChartCanvas

- java.lang.Object
- - Canvas
  - - org.eclipse.mat.ui.internal.chart.ChartCanvas

    public class ChartCanvas
    extends Canvas

### Constructor Summary

Constructors
Constructor and Description
`ChartCanvas(Composite parent, int style)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `dispose()`
`Chart` `getChart()`
`Chart` `getRunTimeModel()`
`void` `setChart(Chart chart)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ChartCanvas

    public ChartCanvas(Composite parent,
                       int style)

### Method Detail

#### getChart

    public Chart getChart()

#### setChart

    public void setChart(Chart chart)

#### dispose

    public void dispose()

#### getRunTimeModel

    public Chart getRunTimeModel()